Subject: Submission on Ontario's Emissions Trading Regulation....
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 3 Oct 2001 13:13:58 -0700 (PDT)

TIME SENSITIVE

Please see the attached draft comments developed by Environmental Strategies Group on behalf of Enron Canada (commercial and regulatory groups) and the EGM emissions desk to the Ministry of Environment of Ontario, in response to Ontario's draft emissions trading regulation.  

The deadline to submit comments is Friday, October 5.

Please send any comments to me via email by 12:00 noon tomorrow, Thursday, October 4.  Alternatively, I can be reached at (202) 494-5133.

Garrett, Jan and Brian, we need to coordinate on the actual submission on Friday.  I do not believe they can be submitted via email.  I will be in touch to discuss this.

Thanks for your contributions and comments.

Talk to you soon,

Lisa

 

Lisa Jacobson
Enron
Manager, Environmental Strategies
1775 Eye Street, NW
Suite 800
Washington, DC 20006

Phone: +(202) 466-9176
Fax: +(202) 331-4717